//
//  ViewController.swift
//  iOS_WKWebView_added_frm_Lib
//
//  Created by Mark Hunte on 24/09/2017.
//  Copyright © 2017 Mark Hunte. All rights reserved.
//

import UIKit
import WebKit
class ViewController: UIViewController {

  
   
  @IBOutlet weak var wkwebview: WKWebView!
    
    override func loadView() {
        super.loadView()
        
        
        
        
        NotificationCenter.default.addObserver(forName:Notification.Name(rawValue:"UIApplicationWillResignActiveNotification"),
                                               object:nil, queue:nil,
                                               using:enterBackground)
        
        
        NotificationCenter.default.addObserver(forName:Notification.Name(rawValue:"UIApplicationWillEnterForegroundNotification"),
                                               object:nil, queue:nil,
                                               using:exitBackground)
       
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        let theUrl = Bundle.main.url(forResource: "testCall", withExtension:"html")
        let req   = URLRequest(url: theUrl!)
        wkwebview!.load(req )
    }
    
    
    func enterBackground(notification:Notification) -> Void {
        print("call 1")
        
        wkwebview!.evaluateJavaScript("HYPE.documents['testCall'].showSceneNamed('splashScene', HYPE.documents['testCall'].kSceneTransitionCrossfade, 0.2);", completionHandler:nil )
        
    }
    
    
    func exitBackground(notification:Notification) -> Void {
        print("call 2")
        
        wkwebview!.evaluateJavaScript("HYPE.documents['testCall'].showSceneNamed('scene1', HYPE.documents['testCall'].kSceneTransitionCrossfade, 3);", completionHandler:nil )
        
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
        
        
        
    }


}

